Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanDispatchData Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes

uint32_t | global_size [3] = {0}
uint32_t | local_size [3] = {0}
uint32_t | shared_mem_bytes = 0
VulkanWorkgroupSizeBinding | local_size_binding = {}

## Detailed Description

Definition at line 20 of file vulkan_resources.h.

## Member Data Documentation

## global_size

uint32_t Halide::Runtime::Internal::Vulkan::VulkanDispatchData::global_size[3] = {0}

Definition at line 21 of file vulkan_resources.h.

## local_size

uint32_t Halide::Runtime::Internal::Vulkan::VulkanDispatchData::local_size[3] = {0}

Definition at line 22 of file vulkan_resources.h.

## shared_mem_bytes

uint32_t Halide::Runtime::Internal::Vulkan::VulkanDispatchData::shared_mem_bytes = 0

Definition at line 23 of file vulkan_resources.h.

## local_size_binding

VulkanWorkgroupSizeBinding Halide::Runtime::Internal::Vulkan::VulkanDispatchData::local_size_binding = {}

Definition at line 24 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h